
<!-- Récupération des scripts Javascript -->
<script type="text/javascript" src="libsJS/jquery-3.1.1.min.js"></script>

<script type="text/javascript" src="Interface/General/OngletInterface.js"></script>
<script type="text/javascript" src="Interface/General/GestionnaireInterface.js"></script>
<script type="text/javascript" src="Interface/General/Interface.js"></script>
<script type="text/javascript" src="Interface/General/BoutonAction.js"></script>

<script type="text/javascript" src="Interface/Visualisation/InterfVisu.js"></script>
<script type="text/javascript" src="Interface/Visualisation/ElementVisu.js"></script>

<script type="text/javascript" src="Interface/Recherche/InterfRecherche.js"></script>
<script type="text/javascript" src="Interface/Recherche/CadreRechercheAvance.js"></script>

<script type="text/javascript" src="Interface/Information/InterfInfos.js"></script>
<script type="text/javascript" src="Interface/Information/InterfInfosLien.js"></script>
<script type="text/javascript" src="Interface/Information/InterfInfosNoeud.js"></script>
<script type="text/javascript" src="Interface/Information/BarreExploration.js"></script>
<script type="text/javascript" src="Interface/Information/AffichageElementsLiees.js"></script>

<script type="text/javascript" src="Interface/Canvas/ZoneTitre.js"></script>
<script type="text/javascript" src="Interface/Canvas/ZoneLegend.js"></script>
<script type="text/javascript" src="Interface/Canvas/InterfaceCanvas.js"></script>

<script type="text/javascript" src="Generation/GestionnairePlacement.js"></script>
<script type="text/javascript" src="Generation/BlockPlacement.js"></script>
<script type="text/javascript" src="Generation/BlockPlacementSansLiens.js"></script>

<script type="text/javascript" src="Elements/Noeud.js"></script>
<script type="text/javascript" src="Elements/Lien.js"></script>
<script type="text/javascript" src="Elements/Grape.js"></script>
<script type="text/javascript" src="Elements/LienMemeNoeud.js"></script>

<script type="text/javascript" src="Autre/Camera.js"></script>
<script type="text/javascript" src="Autre/Style.js"></script>
<script type="text/javascript" src="Autre/Params.js"></script>
<script type="text/javascript" src="Autre/Vector2.js"></script>
<script type="text/javascript" src="Autre/GestionnaireEvenements.js"></script>
<script type="text/javascript" src="Autre/IconeChargement.js"></script>
<script type="text/javascript" src="Autre/Timer.js"></script>
<script type="text/javascript" src="Autre/Fonctions.js"></script>
<script type="text/javascript" src="Autre/Zone.js"></script>
<!-- paper.js -->
<script type="text/javascript" src="Autre/paper-full.min.js"></script>
<!-------------->

<script type="text/javascript" src="EcranIntroduction/EcranIntroduction.js"></script>

<script type="text/javascript" src="VisualGraphs.js"></script>


<html>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" type="text/css" href="style.css">
        <link rel="icon" type="image/png" href="img/favicon.png" />
        <title>VisualGraphs</title>
    </head>

    <body>

        <canvas id="canvas"></canvas>

        <div id="interface">

            <!-- <div id="interface_type_donnees"></div> -->
            <div id="onglets_interface"></div>
            
            <div class="cadre_interface" id="interface_visualisation"></div>
            <div class="cadre_interface" id="interface_actions"></div>
            <div class="cadre_interface" id="interface_infos"></div>

        </div>

    </body>
</html>

<script type="text/javascript">
    /********** initialisation paper.js **********/
    paper.install(window);
	/*********************************************/
	
	// Initialisation de VisualGraphs
	var canvas = document.getElementById("canvas");
	
	/********** wrap du canvas par paper.js **********/
    paper.setup(canvas);
	/*************************************************/
	
	var visualGraphs = new VisualGraphs(canvas);

	initDimentionsCanvas();
	gestionMenuClicDroit();
	
	// Gestion du redimentionnement de la fenetre
	$(window).resize(function() { initDimentionsCanvas(); });
	
	///////////////////////////////////////////
	// Initialisation de la taille du canvas //
	///////////////////////////////////////////
	function initDimentionsCanvas()
	{
            var tailleCanvas = 0;
            if($(document).width() <= 1200)
                tailleCanvas = 0.64;
            else if($(document).width() <= 1500)
                tailleCanvas = 0.68;
            else
                tailleCanvas = 0.72;

            $('canvas').attr('width', $(document).width()*tailleCanvas);

            $('canvas').attr('height', $(document).height());

            $('canvas').attr('width', $('canvas').css('width'));
            $('canvas').attr('height', $('canvas').css('height'));
            
            visualGraphs.camera.taille = new Vector2($('canvas').attr('width').split('px')[0], $('canvas').attr('height').split('px')[0]); // Découper la chaine
            
            if(visualGraphs.ecranIntroduction.actif)
                visualGraphs.ecranIntroduction.modifTailleEcran(new Vector2($('canvas').attr('width').split('px')[0], $('canvas').attr('height').split('px')[0]));
            
            visualGraphs.zoneTitre.initPosition(visualGraphs.camera);
            visualGraphs.zoneLegend.initPosition(visualGraphs.camera);
	}
        
        ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
        // Permet de cacher ou d'afficher le menu contextuel lors du click droit selon la position de la souris (canvas ou interface) //
        ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
        function gestionMenuClicDroit()
        {
            $('canvas').mouseover(function() {
                document.oncontextmenu = new Function("return false");
            });

            $('#interface').mouseover(function() {
                document.oncontextmenu = new Function("return true");
            });
        }
        
</script>



